package com.liquidnet.service.sweet.service.five;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetManualShopFive;

import java.util.List;

/**
 * <p>
 * 电子宣传手册商铺表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-08-09
 */
public interface ISweetManualShopFiveService extends IService<SweetManualShopFive> {
    ResponseDto<List<SweetManualShopFive>> getList(String manualId, Integer type);

    ResponseDto<SweetManualShopFive> details(String manualShopId);

    ResponseDto<Boolean> add(String manualId,String title,String picUrl,String describe,Integer type,Integer isRecommend,Integer sort);

    ResponseDto<Boolean> change(String manualShopId,String manualId,String title,String picUrl,String describe,Integer type,Integer isRecommend,Integer sort);

    ResponseDto<Boolean> delete(String manualShopId,String manualId);
}
